ネイティブプログラムインターフェイス

Snowflakeサポートは、多くの一般的なプログラミング言語と開発プラットフォームを使用したアプリケーションの開発をサポートしています。Snowflakeが提供するネイティブクライアント(コネクタ、ドライバーなど)を使用すると、次のプログラマティックインターフェイスのいずれかを使用してアプリケーションを開発できます。

インターフェイス

バージョン / インストール 要件

メモ

Go Language

Go言語: 1.14(またはそれ以上)

Snowflake: Go Snowflakeドライバー ---は、 Go サイトから入手

JDBC

Java: 1.8(またはそれ以上)

Snowflake: JDBC ドライバー --- Maven からダウンロード

Microsoft .NET

Microsoft .NET: Visual Studio 2017

Snowflake: .NET ドライバー--- GitHub からダウンロード

Node.js

Node.js: 10.0(またはそれ以上)

Snowflake: Node.jsドライバー --- npm を使用してインストール

ODBC

C言語: 要件は OS固有

Snowflake: ODBC ドライバー --- Snowflake Client Repository からダウンロード

PHP

PHP: 7.2(またはそれ以上)

Snowflake: PHP PDO ドライバー --- GitHub からビルド

Python language

Python: 3.6, 3.7, 3.8, or 3.9

Snowflake: Python用コネクタ --- pip を使用したインストール

SQLAlchemy

Python: 3.6、3.7、または3.8

SQLAlchemy: 要件なし

Snowflake: SQLAlchemy ツールキット --- pip を使用してインストール